### Property

# Adw HeaderBar:decoration-layout

#### Declaration

    property decoration-layout: utf8 [ read, write ]

#### Description [src]

The decoration layout for buttons.

If this property is not set, the `GtkSettings:gtk-decoration-layout` setting is used.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear at the start from those at the end. Recognized button names are minimize, maximize, close and icon (the window icon).

For example, “icon:minimize,maximize,close” specifies an icon at the start, and minimize, maximize and close buttons at the end.

Type:`gchar*`

Default value | NULL
Getter method | `adw_header_bar_get_decoration_layout()`
Setter method | `adw_header_bar_set_decoration_layout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no